package com.persagy.dmp.auth.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;
/**
 * 集团实体类
 * @author : lijie
 * Update By 2022/1/11 14:21
 */
@Data
public class Group {
    @JSONField(name = "groupCode",alternateNames = {"GroupCode","groupCode"})
    @JsonAlias({"GroupCode","groupCode"})
    @JsonProperty("groupCode")
    private String groupCode;
    @JSONField(name = "groupName",alternateNames = {"GroupName","groupName"})
    @JsonAlias({"GroupName","groupName"})
    @JsonProperty("groupName")
    private String groupName;
    @JSONField(alternateNames = {"Projects","projects"})
    @JsonAlias({"Projects","projects"})
    private List<Project> projects;
}
